#ifndef PLAYLISTITEM_H
#define PLAYLISTITEM_H

#include <QWidget>

class PlayListItemPrivate;
class PlayListItem : public QWidget
{
    Q_OBJECT
public:
    PlayListItem(QWidget *parent = 0);
    ~PlayListItem();

    enum Status{
        Play,
        Paused,
        Stopped
    };

    void set( const QString & address , const QString & name , const QString & lenght , Status state = Stopped );
    void setState( Status state );

    const QString & address() const;

signals:

public slots:

private:
    PlayListItemPrivate *p;
};

#endif // PLAYLISTITEM_H
